import { DataTransformExperienceAppSettingsRepresentation as DataTransformExperienceAppSettingsRepresentation_DataTransformExperienceAppSettingsRepresentation } from './DataTransformExperienceAppSettingsRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, BaseFragment as $64$luvio_engine_BaseFragment, ResourceIngest as $64$luvio_engine_ResourceIngest, StoreLink as $64$luvio_engine_StoreLink, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "bf126a11521eabfe4b45a2bcfa7f91a4";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: DataTransformExperienceConfigurationRepresentation, existing: DataTransformExperienceConfigurationRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): DataTransformExperienceConfigurationRepresentationNormalized;
export declare const select: () => $64$luvio_engine_BaseFragment;
export declare function equals(existing: DataTransformExperienceConfigurationRepresentationNormalized, incoming: DataTransformExperienceConfigurationRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: DataTransformExperienceConfigurationRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Data Transform Experience configuration
 *
 * Keys:
 *    (none)
 */
export interface DataTransformExperienceConfigurationRepresentationNormalized {
    /** User app settings */
    appSettings: $64$luvio_engine_StoreLink;
    /** The feature flags for Data Transforms editing UI */
    featureFlags: {
        [key: string]: boolean;
    };
}
/**
 * Data Transform Experience configuration
 *
 * Keys:
 *    (none)
 */
export interface DataTransformExperienceConfigurationRepresentation {
    appSettings: DataTransformExperienceAppSettingsRepresentation_DataTransformExperienceAppSettingsRepresentation;
    featureFlags: {
        [key: string]: boolean;
    };
}
