import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getSsotDataTransformsExperienceConfigurations_ResourceRequestConfig } from '../resources/getSsotDataTransformsExperienceConfigurations';
import { DataTransformExperienceConfigurationRepresentation as types_DataTransformExperienceConfigurationRepresentation_DataTransformExperienceConfigurationRepresentation } from '../types/DataTransformExperienceConfigurationRepresentation';
export declare const adapterName = "getDataTransformsExperienceConfiguration";
export declare const getDataTransformsExperienceConfiguration_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getDataTransformsExperienceConfiguration_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetDataTransformsExperienceConfigurationConfig {
}
export declare const createResourceParams: (config: GetDataTransformsExperienceConfigurationConfig) => resources_getSsotDataTransformsExperienceConfigurations_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetDataTransformsExperienceConfigurationConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetDataTransformsExperienceConfigurationConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetDataTransformsExperienceConfigurationConfig>): adapter$45$utils_Untrusted<GetDataTransformsExperienceConfigurationConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetDataTransformsExperienceConfigurationConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetDataTransformsExperienceConfigurationConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetDataTransformsExperienceConfigurationConfig): $64$luvio_engine_Snapshot<types_DataTransformExperienceConfigurationRepresentation_DataTransformExperienceConfigurationRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetDataTransformsExperienceConfigurationConfig, resourceParams: resources_getSsotDataTransformsExperienceConfigurations_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_DataTransformExperienceConfigurationRepresentation_DataTransformExperienceConfigurationRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_DataTransformExperienceConfigurationRepresentation_DataTransformExperienceConfigurationRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_DataTransformExperienceConfigurationRepresentation_DataTransformExperienceConfigurationRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_DataTransformExperienceConfigurationRepresentation_DataTransformExperienceConfigurationRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetDataTransformsExperienceConfigurationConfig, resourceParams: resources_getSsotDataTransformsExperienceConfigurations_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetDataTransformsExperienceConfigurationConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_DataTransformExperienceConfigurationRepresentation_DataTransformExperienceConfigurationRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetDataTransformsExperienceConfigurationConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_DataTransformExperienceConfigurationRepresentation_DataTransformExperienceConfigurationRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_DataTransformExperienceConfigurationRepresentation_DataTransformExperienceConfigurationRepresentation>): $64$luvio_engine_Snapshot<types_DataTransformExperienceConfigurationRepresentation_DataTransformExperienceConfigurationRepresentation, any>;
export declare const getDataTransformsExperienceConfigurationAdapterFactory: $64$luvio_engine_AdapterFactory<GetDataTransformsExperienceConfigurationConfig, types_DataTransformExperienceConfigurationRepresentation_DataTransformExperienceConfigurationRepresentation>;
